Bug 616096 - PKI packages do not have man pages
PKI packages do not have man pages
Status: NEW
Product: Dogtag Certificate System
Classification: Community
Component: Installer (pkicreate/pkiremove) (Show other bugs)
1.2
All Linux
high Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Ben Levenson
:
Depends On:
Blocks: 688231
  Show dependency treegraph
 
Reported: 2010-07-19 12:24 EDT by John Dennis
Modified: 2015-01-04 19:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2010-07-19 12:24:47 EDT
There is no man page for pkicreate. All user commands installed by a package should have corresponding man pages.

There is no mention of the installation log file other than one of the first lines generated when running pkicreate which often scrolls off the screen. The log file is important information.

There is no list of files installed by pkicreate, this is important because none of the files created are owned by RPM after installing the RPM packages, this makes it very difficult to ascertain what files are actually in use.

The pkicreate man page should describe what it does, why it does it, what the configuration options are and all the files it creates.

It should also document the pkiremove command, or reference a separate pkiremove man page.
Comment 3 Matthew Harmsen 2011-01-04 13:10:23 EST
Renaming this bug from "pkicreate/pkiremove does not have a man page" to "PKI packages do not have man pages".

The following man pages need to be created:

* PKI for IPA:
** pkicreate
** pkiremove
** pkisilent
** PKI Certificate Authority (CA)

* PKI Native Tools
** bulkissuance (presuming tool is not removed)
** p7tool
** revoker
** setpin
** sslget
** tkstool

* PKI Java Tools
** AtoB
** AuditVerify
** BtoA
** CMCEnroll
** CMCRequest
** CMCResponse
** CMCRevoke
** CRMFPopClient
** ExtJoiner
** GenExtKeyUsage
** GenIssuerAltNameExt
** GenSubjectAltNameExt
** HttpClient
** OCSPClient
** PKCS10Client
** PKCS12Export
** PrettyPrintCert
** PrettyPrintCrl
** TokenInfo

* PKI for Dogtag/RHCS:
** PKI Data Recovery Manager (DRM)
** PKI Online Certificate Status Protocol (OCSP) Manager
** PKI Registration Authority (RA)
** PKI Token Key Service (TKS)
** PKI Token Processing System (TPS)
** PKI Console
** Enterprise Security Client (ESC)

Note You need to log in before you can comment on or make changes to this bug.